#ifndef CCVSENTRIES_H
#define CCVSENTRIES_H

#include "CEntries.h"

#include <qdatetime.h>

class CvsEntry : public Entry {

   public:
      CvsEntry(QString);
      virtual ~CvsEntry();

      struct Revision {
	 QString string;
	 bool missing;
      };
      struct Date {
	 QString string;
	 QDateTime datetime;
	 QDateTime localdatetime;
	 QDate date;
	 QTime time;
	 bool dummy;
	 bool newDummy;
	 bool conflict;
      };
      struct Option {
	 QString string;
	 bool b;
	 bool o;
	 bool v;
      };
      struct Sticky {
	 QString string;
	 bool T;
	 bool D;
      };
      Revision rev;
      Date date;
      Option option;
      Sticky sticky;
};

class CvsEntries : public Entries {

   public:
      CvsEntries();
      CvsEntries(CvsEntries&);
      virtual ~CvsEntries();

      CvsEntry * find(const QString&);
};

class CvsEntriesIterator : public EntriesIterator {

   public:
      CvsEntriesIterator(CvsEntries&);
      ~CvsEntriesIterator();

      CvsEntry * current() const;
};
#endif
